
Foreman - Refactor #28596

Refactor # 28278 (Resolved): Remove smart variables

Remove Api::V2::LookupKeysCommonController

12/30/2019 03:04 PM - Ori Rabin

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Parameters   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7596

  

Description

The common controller is in use for Smart Class Parameters and Smart Variables mostly to distinguish between the two so we can

find the correct resource.

With Smart Variable removed most of the code can be deleted and the Smart Class Parameters part can be simplified and maybe

moved to the original controller.

Associated revisions

Revision 24a85161 - 04/27/2020 09:54 AM - Amir Fefer

Fixes #28596 - remove smart_var from LookupKeysCommonController

History

#1 - 12/30/2019 03:06 PM - Ori Rabin

- Parent task set to #28278

#2 - 04/21/2020 01:34 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Amir Fefer

- Pull request https://github.com/theforeman/foreman/pull/7596 added

#3 - 04/27/2020 09:54 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#4 - 04/27/2020 10:01 AM - Amir Fefer

- Status changed from Ready For Testing to Closed

Applied in changeset 24a85161eb0c5f5ed449b8ed4a0263dbcdf1466b.
